# Create a public signup token POST https://app.unleash-instance.example.com/api/admin/invite-link/tokens Content-Type: application/json Lets administrators create a invite link to share with colleagues. People that join using the public invite are assigned the `Viewer` role Reference: https://docs.getunleash.io/api/create-public-signup-token ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Create a public signup token version: endpoint_publicSignupTokens.createPublicSignupToken paths: /api/admin/invite-link/tokens: post: operationId: create-public-signup-token summary: Create a public signup token description: >- Lets administrators create a invite link to share with colleagues. People that join using the public invite are assigned the `Viewer` role tags: - - subpackage_publicSignupTokens parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '201': description: The resource was successfully created. content: application/json: schema: $ref: '#/components/schemas/publicSignupTokenSchema' '400': description: The request data does not match what we expect. content: {} '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} requestBody: description: publicSignupTokenCreateSchema content: application/json: schema: $ref: '#/components/schemas/publicSignupTokenCreateSchema' components: schemas: publicSignupTokenCreateSchema: type: object properties: name: type: string description: The token's name. expiresAt: type: string format: date-time description: The token's expiration date. required: - name - expiresAt UserSchemaAccountType: type: string enum: - value: User - value: Service Account userSchema: type: object properties: id: type: integer description: The user id name: type: - string - 'null' description: Name of the user email: type: string description: Email of the user username: type: - string - 'null' description: A unique username for the user imageUrl: type: string description: URL used for the user profile image inviteLink: type: string description: >- If the user is actively inviting other users, this is the link that can be shared with other users loginAttempts: type: integer description: How many unsuccessful attempts at logging in has the user made emailSent: type: boolean description: Is the welcome email sent to the user or not rootRole: type: integer description: >- Which [root role](https://docs.getunleash.io/concepts/rbac#predefined-roles) this user is assigned seenAt: type: - string - 'null' format: date-time description: The last time this user logged in createdAt: type: string format: date-time description: The user was created at this time accountType: $ref: '#/components/schemas/UserSchemaAccountType' description: A user is either an actual User or a Service Account permissions: type: array items: type: string description: Deprecated scimId: type: - string - 'null' description: The SCIM ID of the user, only present if managed by SCIM seatType: type: - string - 'null' description: The seat type of this user companyRole: type: - string - 'null' description: The role of the user within the company. productUpdatesEmailConsent: type: - boolean - 'null' description: Whether the user has consented to receive product update emails. activeSessions: type: - integer - 'null' description: Count of active browser sessions for this user deletedSessions: type: number format: double description: >- Experimental. The number of deleted browser sessions after last login required: - id roleSchema: type: object properties: id: type: integer description: The role id type: type: string description: >- A role can either be a global root role (applies to all projects) or a project role name: type: string description: The name of the role description: type: string description: >- A more detailed description of the role and what use it's intended for project: type: - string - 'null' description: What project the role belongs to required: - id - type - name publicSignupTokenSchema: type: object properties: secret: type: string description: >- The actual value of the token. This is the part that is used by Unleash to create an invite link url: type: - string - 'null' description: >- The public signup link for the token. Users who follow this link will be taken to a signup page where they can create an Unleash user. name: type: string description: The token's name. Only for displaying in the UI enabled: type: boolean description: >- Whether the token is active. This property will always be `false` for a token that has expired. expiresAt: type: string format: date-time description: The time when the token will expire. createdAt: type: string format: date-time description: When the token was created. createdBy: type: - string - 'null' description: The creator's email or username users: type: - array - 'null' items: $ref: '#/components/schemas/userSchema' description: Array of users that have signed up using the token. role: $ref: '#/components/schemas/roleSchema' description: Users who sign up using this token will be given this role. required: - secret - url - name - enabled - expiresAt - createdAt - createdBy - role ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/invite-link/tokens" payload = { "name": "string", "expiresAt": "2024-01-15T09:30:00Z" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/invite-link/tokens'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"name":"string","expiresAt":"2024-01-15T09:30:00Z"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/invite-link/tokens" payload := strings.NewReader("{\n \"name\": \"string\",\n \"expiresAt\": \"2024-01-15T09:30:00Z\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/invite-link/tokens") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"string\",\n \"expiresAt\": \"2024-01-15T09:30:00Z\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/invite-link/tokens") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"name\": \"string\",\n \"expiresAt\": \"2024-01-15T09:30:00Z\"\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/invite-link/tokens', [ 'body' => '{ "name": "string", "expiresAt": "2024-01-15T09:30:00Z" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/invite-link/tokens"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"string\",\n \"expiresAt\": \"2024-01-15T09:30:00Z\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [ "name": "string", "expiresAt": "2024-01-15T09:30:00Z" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/invite-link/tokens")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```